libunibreak 6.1

Loading...
Searching...
No Matches
Variables
linebreakdef.c File Reference

Definition of language-specific data. More...

`#include "linebreak.h"`
`#include "linebreakdef.h"`
Include dependency graph for linebreakdef.c:

## Variables
const struct LineBreakPropertiesLang | lb_prop_lang_map []
| Association data of language-specific line breaking properties with language names.

## Detailed Description

Definition of language-specific data.

Author
  Wu Yongwei

## Variable Documentation

## ◆ lb_prop_lang_map

const struct LineBreakPropertiesLang lb_prop_lang_map[]

Initial value:
= {
{ "en", 2, lb_prop_English },
{ "de", 2, lb_prop_German },
{ "es", 2, lb_prop_Spanish },
{ "fr", 2, lb_prop_French },
{ "ru", 2, lb_prop_Russian },
{ "zh", 2, lb_prop_Chinese },
{ NULL, 0, NULL }
}

Association data of language-specific line breaking properties with language names.

This is the definition for the static data in this file. If you want more flexibility, or do not need the data here, you may want to redefine lb_prop_lang_map in your C source file.